32位 LabVIEW 和64位 LabVIEW 兼容性

更新 Mar 19, 2021

适用于

软件

  • LabVIEW

问题详述

  • 我是第一次下载LabVIEW,或者第一次在LabVIEW中开发程序。我应该使用32位还是64位的版本?
  • 如果 LabVIEW 的某个模块或工具包只有32位的版本。我可以在64位的 LabVIEW 中使用该模块或工具包吗?

解决方案

我们首推 32位 LabVIEW,因为它可以在32位或64位操作系统上安装和使用,并且可以更好地兼容其他模块或工具包,同时更好地支持第三方插件。 32位的模块或工具包不能与64位 LabVIEW 搭配使用。

与32位 LabVIEW 相比,64位 LabVIEW 并没有任何速度优势,但它允许程序一次性访问更大的系统内存。虽然大多数用户都发现32位版本可为其项目提供大量资源,但某些特殊的应用可能需要额外的内存。如果您的程序需要处理非常大的数组或处理特别高清晰度的图像,64位 LabVIEW 是您更好的选择。

通常,我们建议开发人员使用32位 LabVIEW,只有需要使用额外内存时,才考虑64位 LabVIEW。

相关信息

模块或工具包与 LabVIEW 位数的兼容性细节可能会有所不同,具体取决于所使用的操作系统。 LabVIEW 32位和64位应用程序常见问题 提供了有关此信息的更多回答。

用某个位数的 LabVIEW 开发的源代码通常可以在另一位数的 LabVIEW 中打开,但需要重新编译才能运行。如果新版本LabVIEW 不包含源代码中的一些函数,则该代码将无法编译。相反,它将有一个折断的运行箭头,并将警告您缺少有关依赖项。